package com.heyu.api.data.service.impl.identitycard;
/**
* <p>
* 身份证记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.identitycard.IdentityCardDao;
import com.heyu.api.data.entity.identitycard.IdentityCardEntity;
import com.heyu.api.data.service.identitycard.IdentityCardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class IdentityCardServiceImpl extends ServiceImpl<IdentityCardDao, IdentityCardEntity> implements IdentityCardService {


    @Autowired
	private IdentityCardDao identityCardDao;



	@Override
	public IdentityCardEntity selectIdentityCardById(Long id){
		return identityCardDao.selectIdentityCardById(id);
	}



	@Override
	public Long insertIdentityCard(IdentityCardEntity identityCard){
		return identityCardDao.insertIdentityCard(identityCard);
	}



	@Override
	public Long insertOrUpdateIdentityCard(IdentityCardEntity identityCard){
		return identityCardDao.insertOrUpdateIdentityCard(identityCard);
	}



	@Override
	public int updateIdentityCardById(IdentityCardEntity identityCard){
		return identityCardDao.updateIdentityCardById(identityCard);
	}



	@Override
	public int updateCoverIdentityCardById(IdentityCardEntity identityCard){
		return identityCardDao.updateCoverIdentityCardById(identityCard);
	}



	@Override
	public int deleteIdentityCardById(Long id){
		return identityCardDao.deleteIdentityCardById(id);
	}



}
